#
# spec file for package SDLmm
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           SDLmm
%define lname	libSDLmm-0_1-8
Version:        0.1.8
Release:        1173.3
Summary:        C++ glue API for Simple DirectMedia Layer
License:        LGPL-2.1+
Group:          Development/Libraries/X11
Url:            http://sdlmm.sf.net/

Source:         http://downloads.sf.net/sdlmm/%name-%version.tar.bz2
Source2:        baselibs.conf
Patch:          %name-%version.patch
Patch1:         %name-%version-lib64.patch
Patch2:         %name-%version-autoheader.patch
Patch3:         %name-%version-m4.patch
Patch4:         %name-%version-makefile.patch
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig(sdl)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SDLmm aims to stay as close as possible to the C API while taking
advantage of native C++ features like object oriented programming. It
also aims to be as platform independent as possible. In other words, it
tries to support every platform that SDL supports.

%package -n %lname
Summary:        Simple DirectMedia Layer C++ glue library
Group:          System/Libraries
Provides:       SDLmm = %version
Obsoletes:      SDLmm <= %version

%description -n %lname
SDLmm aims to stay as close as possible to the C API while taking
advantage of native C++ features like object oriented programming. It
also aims to be as platform independent as possible. In other words, it
tries to support every platform that SDL supports.

%package -n libSDLmm-devel
Summary:        Development files for the SDL C++ API layer
Group:          Development/Libraries/X11
Requires:       %lname = %version
Requires:       libSDL-devel
Requires:       libstdc++-devel
Provides:       SDLmm-devel = %version
Obsoletes:      SDLmm-devel <= %version

%description -n libSDLmm-devel
SDLmm aims to stay as close as possible to the C API while taking
advantage of native C++ features like object orientation. We will also
aim at being platform independent as much as possible. I.e we'll try to
support ever platform supported by SDL.

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
rm acconfig.h
rm acinclude.m4

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la docs/html/Makefil*

%post   -n %lname -p /sbin/ldconfig
%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS
%_libdir/*.so.*

%files -n libSDLmm-devel
%defattr(-,root,root)
%doc docs/html
%_bindir/sdlmm-config
%_includedir/SDLmm
%_libdir/*.so
%_mandir/man3/*
%_datadir/aclocal/*

%changelog
* Thu Jan  8 2015 jengelh@inai.de
- Improve package summary and description. Drop --with-pic which
  is enabled implicitly anyway.
* Mon Nov 11 2013 jengelh@inai.de
- Set RPM groups to the same values as on the main SDL packages
* Tue Nov 15 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Sep 16 2011 jengelh@medozas.de
- Add libSDLmm-devel to baselibs
- Remove redundant tags
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Wed Jan 27 2010 jengelh@medozas.de
- package baselibs.conf
* Wed Oct  7 2009 prusnak@suse.cz
- fix provides and obsoletes [bnc#544957]
* Wed Aug 26 2009 mls@suse.de
- make patch0 usage consistent
* Wed May 20 2009 prusnak@suse.cz
- follow Shared Library Policy
* Sat Jul  5 2008 crrodriguez@suse.de
- remove unusable static libraries
- cleanup buildRequires and -devel package dependencies
* Sun Jul 22 2007 aj@suse.de
- Cleanup BuildRequires.
* Fri Mar  2 2007 prusnak@suse.cz
- cleaned spec file
* Sun Oct 15 2006 schwab@suse.de
- Use install-exec-hook instead of install-hook.
* Wed Sep 13 2006 nadvornik@suse.cz
- fixed Requires of devel subpackage [#192736]
- moved .la file to devel subpackage
* Fri Jan 27 2006 nadvornik@suse.cz
- fixed BuildRequires and Requires of devel subpackage
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov  2 2004 pth@suse.de
- Get rid of acconfig.h
- Call autoreconf from spec
- Fix quoting in sdlmm.m4
* Sat Jan 10 2004 adrian@suse.de
- add %%run_ldconfig
* Tue May 28 2002 nadvornik@suse.cz
- fixed rpath for lib64 in sdlmm-config
* Fri May 10 2002 ro@suse.de
- libdir fixed
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 22 2002 ro@suse.de
- changed neededforbuild <kdelibs-artsd> to <kdelibs3-artsd>
* Mon Nov 26 2001 nadvornik@suse.cz
- new package, version 0.1.8
